
QGIS Application - Bug report #21095

QGIS Crashed

2019-01-25 11:54 AM - Tiago Umberto Pazolini

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28913

Description

Crash ID: d11d7a05b20199cbe53666818ea6807fea608186

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

GetRestrictedErrorInfo :

NdrCStdStubBuffer_Release :

GetRestrictedErrorInfo :

WindowsDeleteStringBuffer :

IsErrorPropagationEnabled :

CoTaskMemRealloc :

CoGetCurrentLogicalThreadId :

NdrCStdStubBuffer_Release :

CoGetCurrentLogicalThreadId :

NdrCStdStubBuffer_Release :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

Shell_NotifyIconW :

SHEnableServiceObject :

SHEnableServiceObject :

SHEnableServiceObject :

SHEnableServiceObject :

SHELL32_IconOverlayManagerInit :

SHEnableServiceObject :

SHEvaluateSystemCommandTemplate :

SHEvaluateSystemCommandTemplate :

SHELL32_GetIconOverlayManager :

SHCreateItemFromParsingName :

STORAGE_SHGetDesktopFolderWorker :

STORAGE_SHGetDesktopFolderWorker :

CShellItemArrayWithCommonParent_CreateInstance :

STORAGE_SHGetDesktopFolderWorker :

STORAGE_SHGetDesktopFolderWorker :

Ordinal129 :

DllCanUnloadNow :
Ordinal129 :

ILLoadFromStreamEx :

ILLoadFromStreamEx :

ILLoadFromStreamEx :

Ordinal246 :

TpSetPoolStackInformation :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17763

History

#1 - 2019-01-25 12:02 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Subject changed from :( QGIS Crashed to QGIS Crashed

- Status changed from Open to Feedback

You must use a more meaningful/detailed subject and description:

how you get the crash? > what steps and data is necessary to replicate? have you tried with a new/clean profile?

#2 - 2019-01-26 12:56 PM - Roger Epps

I have also just experiencd a crash - details below.

User Feedback

Closing QGIS and saving current file

Report Details

Crash ID: 62f1fcd2045780cb9f127836e6b579b8665f3e63

Stack Trace

proj_lpz_dist :

proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::transformPolygon :

QgsCoordinateTransform::QgsCoordinateTransform :

QHashData::free_helper :

QgsCoordinateTransform::addToCache :
QgsCoordinateTransform::invalidateCache :

QgsApplication::exitQgis :

QgisApp::~QgisApp :

CPLStringList::operator[] :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Steps taken:

Close window

Save file prompt opened

Clicked 'Save'

QGIS crashed

#3 - 2019-01-26 04:46 PM - Jürgen Fischer

Roger Epps wrote:

Stack Trace

[...]

unrelated to this - see #20283

#4 - 2019-03-09 10:42 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

how you get the crash? > what steps and data is necessary to replicate? have you tried with a new/clean profile?

Closing for lack of feedback.
